<?php
/**
 * Aliases for extension OAuth
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'OAuthConsumerRegistration' => [ 'OAuthConsumerRegistration', 'OAuthRegistration' ],
	'OAuthManageConsumers' => [ 'OAuthManageConsumers' ],
	'OAuthListConsumers' => [ 'OAuthListConsumers' ],
	'OAuthManageMyGrants' => [ 'OAuthManageMyGrants', 'OAuthGrants' ],
	'OAuth' => [ 'OAuth', 'MWOAuth' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'OAuthConsumerRegistration' => [ 'تسجيل_مستهلك_أو_أوث', 'تسجيل_أو_أوث' ],
	'OAuthManageConsumers' => [ 'التحكم_بمستهلكي_أو_أوث' ],
	'OAuthListConsumers' => [ 'عرض_مستهلكي_أو_أوث' ],
	'OAuthManageMyGrants' => [ 'التحكم_بممنوحاتي_أو_أوث', 'ممنوحات_أو_أوث' ],
	'OAuth' => [ 'أو_أوث', 'مو_أو_أوث' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'OAuthConsumerRegistration' => [ 'تسجيل_او_اوت', 'تسجيل_مستهلك_او_اوت' ],
	'OAuthManageConsumers' => [ 'التحكم_بمستهلكى_او_اوت' ],
	'OAuthListConsumers' => [ 'عرض_مستهلكين_او_اوت' ],
	'OAuthManageMyGrants' => [ 'التحكم-بممنوحاتى_او_اوت', 'ممنوحات_او_اوت' ],
	'OAuth' => [ 'او-اوت', 'مو_او_اوت' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'OAuthConsumerRegistration' => [ 'سبت_کورتین' ],
	'OAuthManageConsumers' => [ 'OAuth_ئی_مسرپ_کنۆکانی_مدیریت' ],
	'OAuthListConsumers' => [ 'OAuth_ئی_مسرپ_کنۆکانی_لیست' ],
	'OAuthManageMyGrants' => [ 'نی_OAuth_ئی_بخش_یی_مدیریت' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'OAuthConsumerRegistration' => [ 'Registrace_aplikace_OAuth' ],
	'OAuthManageConsumers' => [ 'Správa_aplikací_OAuth' ],
	'OAuthListConsumers' => [ 'Seznam_aplikací_OAuth' ],
	'OAuthManageMyGrants' => [ 'Správa_připojených_aplikací' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'OAuthConsumerRegistration' => [ 'Verbraucherregistrierung' ],
	'OAuthManageConsumers' => [ 'Verbraucher_verwalten' ],
	'OAuthListConsumers' => [ 'Verbraucher_auflisten' ],
	'OAuthManageMyGrants' => [ 'Meine_Berechtigungen_verwalten' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'OAuthListConsumers' => [ 'OAuthi-rakenduste_loend' ],
	'OAuthManageMyGrants' => [ 'OAuthi-volitused' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'OAuthConsumerRegistration' => [ 'ثبت_OAuth' ],
	'OAuthManageConsumers' => [ 'مدیریت_مصرف‌کننده‌های_OAuth' ],
	'OAuthListConsumers' => [ 'فهرست_مصرف‌کننده‌های_OAuth' ],
	'OAuthManageMyGrants' => [ 'مدیریت_اعطاهای_OAuth_من' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'OAuthManageMyGrants' => [ 'Administrar_as_concesión_de_conta_OAuth' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'OAuthConsumerRegistration' => [ 'רישום_צרכן_OAuth' ],
	'OAuthManageConsumers' => [ 'ניהול_צרכני_OAuth' ],
	'OAuthListConsumers' => [ 'יישומי_OAuth', 'רשימות_יישומי_OAuth' ],
	'OAuthManageMyGrants' => [ 'ניהול_יישומים', 'ניהול_יישומים_מחוברים' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'OAuthConsumerRegistration' => [ 'OAuth컨슈머등록', 'OAuth등록' ],
	'OAuthManageConsumers' => [ 'OAuth컨슈머관리' ],
	'OAuthListConsumers' => [ 'OAuth컨슈머목록' ],
	'OAuthManageMyGrants' => [ 'OAuth내부여관리' ],
	'OAuth' => [ 'MWO인증' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'OAuthConsumerRegistration' => [ 'OAuth-Registratioun_vu_Konsumenten' ],
	'OAuthManageConsumers' => [ 'OAuth_Gestioun_vu_Konsumenten' ],
	'OAuthListConsumers' => [ 'OAuth_Lëscht_vu_Konsumenten' ],
	'OAuthManageMyGrants' => [ 'Meng_OAuth_Autorisatioune_geréieren' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'OAuth' => [ 'قأسأم_حأردئن' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'OAuthConsumerRegistration' => [ 'МВOAuthРегистрацијаПотрошувач' ],
	'OAuthManageConsumers' => [ 'МВOAuthРаководењеПотрошувач' ],
	'OAuthListConsumers' => [ 'OAuthНаведиПотрошувачи' ],
	'OAuthManageMyGrants' => [ 'OAuthРаководењеМоиДоделувања' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'OAuthConsumerRegistration' => [ 'OAuthGebruikerRegistratie' ],
	'OAuthManageConsumers' => [ 'OAuthBeheerGebruikers' ],
	'OAuthListConsumers' => [ 'OAuthLijstGebruikers' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'OAuthConsumerRegistration' => [ 'OAuth_регистрација_апликације', 'OAuth_регистрација' ],
	'OAuthManageConsumers' => [ 'OAuth_управљање_апликацијама' ],
	'OAuthListConsumers' => [ 'Списак_OAuth_апликација' ],
	'OAuthManageMyGrants' => [ 'УправљањеПовезанимАпликацијама' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'OAuthConsumerRegistration' => [ 'OAuth_registracija_aplikacije', 'OAuth_registracija' ],
	'OAuthManageConsumers' => [ 'OAuth_upravljanje_aplikacijama' ],
	'OAuthListConsumers' => [ 'Spisak_OAuth_aplikacija' ],
	'OAuthManageMyGrants' => [ 'UpravljanjePovezanimAplikacijama' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'OAuthListConsumers' => [ 'OAuth-applikationer' ],
	'OAuthManageMyGrants' => [ 'Anslutna_applikationer' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'OAuthConsumerRegistration' => [ 'اندراج_اوآتھ_صارف', 'اوآتھ_اندراج' ],
	'OAuthManageConsumers' => [ 'انتظام_اوآتھ_صارف' ],
	'OAuthListConsumers' => [ 'فہرست_اوآتھ_صارفین' ],
	'OAuthManageMyGrants' => [ 'انتظام_اوآتھ_عطیات_من', 'اوآتھ_عطیات' ],
	'OAuth' => [ 'اوآتھ', 'میڈیا_ویکی_اوآتھ' ],
];

/** Yiddish (ייִדיש) */
$specialPageAliases['yi'] = [
	'OAuthManageMyGrants' => [ 'פארוואלטן_פראיעקטן' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'OAuthConsumerRegistration' => [ 'OAuth应用程序注册', 'OAuth注册' ],
	'OAuthManageConsumers' => [ 'OAuth应用程序管理', 'OAuth管理' ],
	'OAuthListConsumers' => [ 'OAuth应用程序列表', 'OAuth列表' ],
	'OAuthManageMyGrants' => [ 'OAuth应用程序授权', 'OAuth授权' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'OAuthConsumerRegistration' => [ 'OAuth應用程式註冊', 'OAuth註冊' ],
	'OAuthManageConsumers' => [ 'OAuth應用程式管理', 'OAuth管理' ],
	'OAuthListConsumers' => [ 'OAuth應用程式清單', 'OAuth清單' ],
	'OAuthManageMyGrants' => [ 'OAuth應用程式授權', 'OAuth授權' ],
];
